import React, { CSSProperties, ChangeEvent } from "react";
export interface CheckboxProps extends Omit<React.InputHTMLAttributes<HTMLInputElement>, "checked"> {
    id?: string;
    label: string;
    value?: string;
    required?: boolean;
    disabled?: boolean;
    className?: string;
    style?: CSSProperties;
    onChange?: (event: ChangeEvent<HTMLInputElement>) => void;
    error?: string;
}
declare function Checkbox({ id, value, label, onChange, required, error, className, style, disabled, ...rest }: CheckboxProps): React.JSX.Element;
export default Checkbox;
