import React, { CSSProperties, ChangeEvent } from "react";
export interface InputFieldProps extends React.InputHTMLAttributes<HTMLInputElement> {
    type: "text" | "number" | "email" | "date" | "time" | "datetime-local" | "password" | "color" | "file" | "range";
    id?: string;
    label?: string;
    value?: string;
    required?: boolean;
    disabled?: boolean;
    className?: string;
    style?: CSSProperties;
    onChange?: (event: ChangeEvent<HTMLInputElement>) => void;
    error?: string;
}
declare function InputField({ id, label, value, type, required, disabled, onChange, error, style, className, ...rest }: InputFieldProps): React.JSX.Element;
export default InputField;
